Subject: [bug#40042] [PATCH] gnu: ghc-extra: Update to 1.7.1.

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Mar 2020 20:15:36 +0100

Alexandru-Sergiu Marton <[email-masked]> writes:

> On Fri, 2020-03-20 at 19:49 +0100, Marius Bakke wrote:
>> Note that we follow the Stackage LTS releases to ensure the various
>> Haskell packages work nicely together. 
>
> Oh. Sorry, didn't know that.

No worries, very few people do!  :-)

>> So I wonder if we should downgrade this package to avoid
>> compatibility
>> problems.  Thoughts?
>
> I upped it because ghcid 0.8.5 (latest) depends on extra >=1.6.20 and I
> just thought to get the latest version available. Downgrading ghc-extra 
> to 1.6.21 shouldn't break anything. If it's alright, I'll send in a
> patch.

That sounds excellent, thank you!